/****************************************************************************
**
** Copyright (C) 1992-2005 Trolltech AS. All rights reserved.
**
** This file is part of the core module of the Qt Toolkit.
**
** This file may be distributed and/or modified under the terms of the
** GNU General Public License version 2 as published by the Free Software
** Foundation and appearing in the file LICENSE.GPL included in the
** packaging of this file.
**
** See http://www.trolltech.com/pricing.html or email sales@trolltech.com for
**   information about Qt Commercial License Agreements.
** See http://www.trolltech.com/gpl/ for GPL licensing information.
**
** Contact info@trolltech.com if any conditions of this licensing are
** not clear to you.
**
** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
**
****************************************************************************/

#include "qcoreapplication.h"
#include <private/qcore_mac_p.h>

/*****************************************************************************
  Internal variables and functions
 *****************************************************************************/
static QString *appName=0;                        // application name
static QString *appFileName=0;                       // application file name

/*****************************************************************************
  QCoreApplication utility functions
 *****************************************************************************/
QString qAppName()                                // get application name
{
    if(!appName) {
        ProcessSerialNumber psn;
        if(GetCurrentProcess(&psn) == noErr) {
            QCFString cfstr;
            CopyProcessName(&psn, &cfstr);
            appName = new QString(static_cast<QString>(cfstr));
        } else if(QCoreApplication *app = QCoreApplication::instance()) {
            char *p = strrchr(app->argv()[0], '/');
            appName = new QString(p ? p + 1 : app->argv()[0]);
        }
    }
    return *appName;
}

QString qAppFileName()
{
    if(!appFileName) {
        QCFType<CFURLRef> bundleURL(CFBundleCopyExecutableURL(CFBundleGetMainBundle()));
        QCFString cfPath(CFURLCopyFileSystemPath(bundleURL, kCFURLPOSIXPathStyle));
        appFileName = new QString(static_cast<QString>(cfPath));
    }
    return *appFileName;
}

