/****************************************************************************
**
** Copyright (C) 1992-2005 Trolltech AS. All rights reserved.
**
** This file is part of the style module of the Qt Toolkit.
**
** This file may be distributed and/or modified under the terms of the
** GNU General Public License version 2 as published by the Free Software
** Foundation and appearing in the file LICENSE.GPL included in the
** packaging of this file.
**
** See http://www.trolltech.com/pricing.html or email sales@trolltech.com for
**   information about Qt Commercial License Agreements.
** See http://www.trolltech.com/gpl/ for GPL licensing information.
**
** Contact info@trolltech.com if any conditions of this licensing are
** not clear to you.
**
** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
**
****************************************************************************/

#include <qmacstyle_mac.h>
#include <qstyleplugin.h>

class Qt::MacStyle : public QStylePlugin
{
public:
    Qt::MacStyle();

    QStringList keys() const;
    QStyle *create(const QString&);
};

Qt::MacStyle::MacStyle() : QStylePlugin()
{
}

QStringList Qt::MacStyle::keys() const
{
    QString mstyle = "Macintosh";
    if(Collection c=NewCollection()) {
        GetTheme(c);
        Str255 str;
        long int s = 256;
        if(!GetCollectionItem(c, kThemeNameTag, 0, &s, &str))
            mstyle += " (" + p2qstring(str) + ")";
    }
    if (!list.contains(mstyle))
        list << mstyle;

    QStringList list;
    list << mstyle;
    return list;
}

QStyle* AquaStyle::create(const QString& s)
{
    if (s.lower().left(9) == "macintosh")
        return new QMacStyle();

    return 0;
}

Q_EXPORT_PLUGIN(Qt::MacStyle)
