/****************************************************************************
**
** Copyright (C) 1992-2005 Trolltech AS. All rights reserved.
**
** This file is part of the designer application of the Qt Toolkit.
**
** This file may be distributed and/or modified under the terms of the
** GNU General Public License version 2 as published by the Free Software
** Foundation and appearing in the file LICENSE.GPL included in the
** packaging of this file.
**
** See http://www.trolltech.com/pricing.html or email sales@trolltech.com for
**   information about Qt Commercial License Agreements.
** See http://www.trolltech.com/gpl/ for GPL licensing information.
**
** Contact info@trolltech.com if any conditions of this licensing are
** not clear to you.
**
** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
**
****************************************************************************/

#ifndef BUDDYEDITOR_PLUGIN_H
#define BUDDYEDITOR_PLUGIN_H

#include "buddyeditor_global.h"

#include <abstractformeditorplugin.h>

#include <QtCore/QPointer>
#include <QtCore/QHash>

class BuddyEditorTool;
class AbstractFormWindow;
class QAction;

class QT_BUDDYEDITOR_EXPORT BuddyEditorPlugin: public QObject, public AbstractFormEditorPlugin
{
    Q_OBJECT
    Q_INTERFACES(AbstractFormEditorPlugin)
public:
    BuddyEditorPlugin();
    virtual ~BuddyEditorPlugin();

    virtual bool isInitialized() const;
    virtual void initialize(AbstractFormEditor *core);
    QAction *action() const;
    
    virtual AbstractFormEditor *core() const;

public slots:
    void activeFormWindowChanged(AbstractFormWindow *formWindow);

private slots:
    void addFormWindow(AbstractFormWindow *formWindow);
    void removeFormWindow(AbstractFormWindow *formWindow);

private:
    QPointer<AbstractFormEditor> m_core;
    QHash<AbstractFormWindow*, BuddyEditorTool*> m_tools;
    bool m_initialized;
    QAction *m_action;
};

#endif // BUDDYEDITOR_PLUGIN_H
