/****************************************************************************
**
** Copyright (C) 1992-2005 Trolltech AS. All rights reserved.
**
** This file is part of the designer application of the Qt Toolkit.
**
** This file may be distributed and/or modified under the terms of the
** GNU General Public License version 2 as published by the Free Software
** Foundation and appearing in the file LICENSE.GPL included in the
** packaging of this file.
**
** See http://www.trolltech.com/pricing.html or email sales@trolltech.com for
**   information about Qt Commercial License Agreements.
** See http://www.trolltech.com/gpl/ for GPL licensing information.
**
** Contact info@trolltech.com if any conditions of this licensing are
** not clear to you.
**
** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
**
****************************************************************************/

#ifndef BUDDYEDITOR_TOOL_H
#define BUDDYEDITOR_TOOL_H

#include "buddyeditor_global.h"

#include <QtCore/QPointer>

#include <abstractformwindowtool.h>

class AbstractFormEditor;
class AbstractFormWindow;
class BuddyEditor;
class QAction;

class QT_BUDDYEDITOR_EXPORT BuddyEditorTool: public AbstractFormWindowTool
{
    Q_OBJECT
public:
    BuddyEditorTool(AbstractFormWindow *formWindow, QObject *parent = 0);
    virtual ~BuddyEditorTool();

    virtual AbstractFormEditor *core() const;
    virtual AbstractFormWindow *formWindow() const;

    virtual QWidget *editor() const;
    virtual QAction *action() const;

    virtual void activated();
    virtual void deactivated();

    virtual bool handleEvent(QWidget *widget, QWidget *managedWidget, QEvent *event);

private:
    AbstractFormWindow *m_formWindow;
    mutable QPointer<BuddyEditor> m_editor;
    QAction *m_action;
};

#endif // BUDDYEDITOR_TOOL_H
