/****************************************************************************
**
** Copyright (C) 1992-2005 Trolltech AS. All rights reserved.
**
** This file is part of the designer application of the Qt Toolkit.
**
** This file may be distributed and/or modified under the terms of the
** GNU General Public License version 2 as published by the Free Software
** Foundation and appearing in the file LICENSE.GPL included in the
** packaging of this file.
**
** See http://www.trolltech.com/pricing.html or email sales@trolltech.com for
**   information about Qt Commercial License Agreements.
** See http://www.trolltech.com/gpl/ for GPL licensing information.
**
** Contact info@trolltech.com if any conditions of this licensing are
** not clear to you.
**
** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
**
****************************************************************************/

#ifndef QEXTENSIONMANAGER_H
#define QEXTENSIONMANAGER_H

#include "extension_global.h"
#include "extension.h"
#include <QHash>

class QT_EXTENSION_EXPORT QExtensionManager: public QObject, public ExtensionManager
{
    Q_OBJECT
    Q_INTERFACES(ExtensionManager)
public:
    QExtensionManager(QObject *parent = 0);

    virtual void registerExtensions(ExtensionFactory *factory, const QString &iid = QString());
    virtual void unregisterExtensions(ExtensionFactory *factory, const QString &iid = QString());

    virtual QObject *extension(QObject *object, const QString &iid) const;

private:
    QHash<QString, QList<ExtensionFactory*> > m_extensions;
    QList<ExtensionFactory*> m_globalExtension;
};

#endif // QEXTENSIONMANAGER_H
