/****************************************************************************
**
** Copyright (C) 1992-2005 Trolltech AS. All rights reserved.
**
** This file is part of the designer application of the Qt Toolkit.
**
** This file may be distributed and/or modified under the terms of the
** GNU General Public License version 2 as published by the Free Software
** Foundation and appearing in the file LICENSE.GPL included in the
** packaging of this file.
**
** See http://www.trolltech.com/pricing.html or email sales@trolltech.com for
**   information about Qt Commercial License Agreements.
** See http://www.trolltech.com/gpl/ for GPL licensing information.
**
** Contact info@trolltech.com if any conditions of this licensing are
** not clear to you.
**
** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
**
****************************************************************************/

#ifndef ABSTRACTFORMEDITORPLUGIN_H
#define ABSTRACTFORMEDITORPLUGIN_H

#include "sdk_global.h"

#include <QtCore/QObject>

class AbstractFormEditor;
class QAction;

class QT_SDK_EXPORT AbstractFormEditorPlugin
{
public:
    virtual ~AbstractFormEditorPlugin() {}

    virtual bool isInitialized() const = 0;
    virtual void initialize(AbstractFormEditor *core) = 0;
    virtual QAction *action() const = 0;

    virtual AbstractFormEditor *core() const = 0;
};
Q_DECLARE_INTERFACE(AbstractFormEditorPlugin, "http://trolltech.com/Qt/IDE/AbstractFormEditorPlugin")

#endif // ABSTRACTFORMEDITORPLUGIN_H
