/****************************************************************************
**
** Copyright (C) 1992-2005 Trolltech AS. All rights reserved.
**
** This file is part of the designer application of the Qt Toolkit.
**
** This file may be distributed and/or modified under the terms of the
** GNU General Public License version 2 as published by the Free Software
** Foundation and appearing in the file LICENSE.GPL included in the
** packaging of this file.
**
** See http://www.trolltech.com/pricing.html or email sales@trolltech.com for
**   information about Qt Commercial License Agreements.
** See http://www.trolltech.com/gpl/ for GPL licensing information.
**
** Contact info@trolltech.com if any conditions of this licensing are
** not clear to you.
**
** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
**
****************************************************************************/

#ifndef EXTRAINFO_H
#define EXTRAINFO_H

#include <extension.h>

class DomUI;
class DomWidget;
class DomLayout;
// ### ... more ??

class QWidget;
class AbstractFormWindow;

class IExtraInfo
{
public:
    virtual ~IExtraInfo() {}

    virtual void saveExtraInfo(DomUI *ui, AbstractFormWindow *formWindow) = 0;
    virtual void saveExtraInfo(DomWidget *ui_widget, QWidget *widget) = 0;
    virtual void saveExtraInfo(DomLayout *ui_layout, QLayout *layout) = 0;

    virtual void loadExtraInfo(AbstractFormWindow *formWindow, DomUI *ui) = 0;
    virtual void loadExtraInfo(QWidget *widget, DomWidget *ui_widget) = 0;
    virtual void loadExtraInfo(QLayout *layout, DomLayout *ui_layout) = 0;
};
Q_DECLARE_EXTENSION_INTERFACE(IExtraInfo, "http://trolltech.com/Qt/IDE/ExtraInfo")


#endif // EXTRAINFO_H
